xmlgraphics-fop-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jeremias Maerki <dev.jerem...@greenmail.ch>
Subject Re: FOP embedding problem (NoClassDefFoundError)
Date Tue, 19 Jul 2005 09:46:28 GMT
Samuel,

I'm not sure how to help you any more. My suggestion is to use the
pre-built JARs from the 0.20.5 binary (!) distribution.

I've just reread what you wrote initially, and I've stumbled upon
something important: You say you use a more recent Batik version. You
have to be aware that this version may not be compatible with FOP.
However, the stacktraces you showed so far are not related to this.
Still, you need to use the batik.jar coming with FOP.

The JARs you need to provide for normal FOP use are:
- fop.jar
- batik.jar
- avalon-framework-cvs-20020806.jar

If you absolutely need to use the latest Batik release, then you need to
use the current trunk code from Subversion. But the problem here is that
the API has changed since 0.20.5 and it is not documented. The Driver
class is no more. Instead, you need to work with the "Fop" class.

Good luck!

On 19.07.2005 09:45:16 Samuel Remacle wrote:
> The IDE I'm working with is Oracle JDeveloper, I added the files fop.jar,
> avalon-framework-cvs-20020806.jar and ant-1.5.1.jar to the environment,
> I did not add the Xalan and Batik JARs to the environment because I'm
> using more recent versions of Xalan and Batik. I downloaded FOP on the
> Apache website.



Jeremias Maerki


---------------------------------------------------------------------
To unsubscribe, e-mail: fop-users-unsubscribe@xmlgraphics.apache.org
For additional commands, e-mail: fop-users-help@xmlgraphics.apache.org


Mime
View raw message